<ion-header>
  <ion-navbar>
    <ion-row>
      <ion-col col-9 class="header_left">
          {{header_text}}
      </ion-col>
      <ion-col col-3 class="header_right">
        <ion-icon ios="ios-close" md="md-close" (click)="cancel()"></ion-icon>
      </ion-col>
    </ion-row>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-row>
    <form #transportForm="ngForm" novalidate style="width: 100%;">
      <ion-list>
        <ion-item>
          <ion-label floating>{{translate.addTransportPage[0][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="transportion_name" [(ngModel)]="transport.transportion_name" #transportion_name="ngModel" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addTransportPage[1][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="gstin" [(ngModel)]="transport.gstin" #gstin="ngModel" maxlength="15" required text-uppercase></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addTransportPage[2][translate.selectedlanguage]}}</ion-label>
          <ion-input type="number" name="approx_distance" [(ngModel)]="transport.approx_distance" #approx_distance="ngModel" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addTransportPage[8][translate.selectedlanguage]}}</ion-label>
          <ion-input type="date" name="transportation_date" [max]="maxDate" [(ngModel)]="transport.transportation_date" #transportation_date="ngModel" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addTransportPage[3][translate.selectedlanguage]}}</ion-label>
          <ion-select name="transportation_mode" [(ngModel)]="transport.transportation_mode" #transportation_mode="ngModel" (ionChange)="changeTransportMode()" cancelText="Cancel" okText="Select" required>
            <ion-option value="1">{{translate.addTransportPage[4][translate.selectedlanguage]}}</ion-option>
            <ion-option value="2">{{translate.addTransportPage[5][translate.selectedlanguage]}}</ion-option>
            <ion-option value="3">{{translate.addTransportPage[6][translate.selectedlanguage]}}</ion-option>
            <ion-option value="4">{{translate.addTransportPage[7][translate.selectedlanguage]}}</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addTransportPage[9][translate.selectedlanguage]}}</ion-label>
          <ion-select name="vehicle_type" [(ngModel)]="transport.vehicle_type" #vehicle_type="ngModel" cancelText="Cancel" okText="Select" [disabled]="vehicleType">
            <ion-option value="R">Regular</ion-option>
            <ion-option value="O">Over Dimensional Cargo</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating>{{translate.addTransportPage[10][translate.selectedlanguage]}}</ion-label>
          <ion-input type="text" name="vehicle_number" [(ngModel)]="transport.vehicle_number" #vehicle_number="ngModel" [disabled]="vehicleNumber"></ion-input>
        </ion-item>
        <ion-item>
          <!-- <ion-label floating>{{translate.addTransportPage[11][translate.selectedlanguage]}}</ion-label> -->
          <ion-label floating>{{docNumberLabel}}</ion-label>
          <ion-input type="text" name="transport_doc_no" [(ngModel)]="transport.transport_doc_no" #transport_doc_no="ngModel" required></ion-input>
        </ion-item>
        <ion-item>
          <ion-row>
            <ion-col col-3></ion-col>
            <ion-col col-4>
              <button ion-button (click)="cancel()" class="cancel_button">{{translate.addTransportPage[12][translate.selectedlanguage]}}</button>
            </ion-col>
            <ion-col col-1></ion-col>
            <ion-col col-4>
              <button ion-button type="submit" (click)="save()" [disabled]="transportForm.invalid" class="save_button">{{translate.addTransportPage[13][translate.selectedlanguage]}}</button>
            </ion-col>
          </ion-row>
        </ion-item>
      </ion-list>
    </form>
  </ion-row>
</ion-content>
